#pragma once
#include "../enity.hpp"
//! пуля
class Blt: public Enity {
public:
  Blt() = default;
  ~Blt() = default;
  Blt& operator =(CN(Blt)) = default;
  expl_t expl = 0; ///< функция взрыва
  //! урон по пуле сразу её убивает
  void sub_hp(uint val) override { (void)val; kill(); }
  void kill() override {
    if (expl) // возорваться после смерти
      expl(this);
    Enity::kill();
  }
  void clear() override { *this = {}; }
private:
}; // Blt
#include "blt-load.cpp"